Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Upgrading Ubuntu 8.04 to 10.04 with Zimbra 7 installed

  1. #1
    Join Date
    Dec 2009
    Location
    Netherlands
    Posts
    47
    Rep Power
    6

    Question Upgrading Ubuntu 8.04 to 10.04 with Zimbra 7 installed

    Hi,

    I'm about to upgrade Zimbra to 7. I'll follow the upgrade notes in the release notes and I don't expect any problems.

    Zimbra 7 also has support for Ubuntu 10.04 LTS. Can I simply upgrade Ubuntu 8.04 to 10.04 after having upgraded to Zimbra 7 (I'll make backups/ LV snapsnots of course)?

  2. #2
    Join Date
    Dec 2009
    Location
    Netherlands
    Posts
    47
    Rep Power
    6

    Default

    Nobody? I upgraded to 7.1 successfully, but the Ubuntu upgrade remains to be done.

  3. #3
    Join Date
    Sep 2008
    Posts
    134
    Rep Power
    7

    Default

    hi halfgaar,

    i upgraded from ubuntu 6.06 over 8.04 to 10.04 this weekend, see my success-story.

    there i made a step on zimbra 6.0.12 as this is also available for ubuntu 6.0.6.
    I do not assume this is different, if using 6.0.12.
    so i did:
    - stop zimbra
    - move /etc/init.d/zimbra away
    - do-release-upgrade
    - install sqlite3 and libperl5.10 (if not done)
    - install Zimbra 6.0.12 Ubuntu 10
    - install zimbra 7.1.0 ubuntu 10

    when doing snapshots take care you have the volume-names in your fstab.
    my upgrade "migrated" my fstab for using UUID.
    The system will mount the snapshot instead of the real filesystem.

    As snapshots are now writable by default, it will not bring an error until the snapshot is full.

    best regards
    thomas
    Last edited by stegbth; 09-15-2011 at 12:23 PM. Reason: forgott reinstall Zimbra6 on ubuntu10
    zmcontrol -v
    1x Release 6.0.10_GA_2692.UBUNTU8_64 NETWORK edition.
    1x Release 6.0.14_GA_2928.UBUNTU8_64 NETWORK edition
    2x Release 7.1.3_GA_3346.UBUNTU10_64 NETWORK edition, Patch 7.1.3_P1
    1x Release 8.0.2.GA.5569.UBUNTU12.64 NETWORK edition

    2x Release 6.0.10_GA_2692.UBUNTU8_64 FOSS edition
    2x Release 7.2.2_GA_2852.UBUNTU10_64 FOSS edition
    1x Release 7.1.4_GA_2555.UBUNTU10_64 FOSS
    1x Release 8.0.3.GA.5664.UBUNTU12.64 FOSS edition

  4. #4
    Join Date
    Nov 2006
    Location
    Manchester, UK
    Posts
    59
    Rep Power
    9

    Default

    Followed stegbth's method to upgrade Ubuntu 8.04 LTS to 10.04 LTS, Zimbra 7.0 to 7.1

    However;

    the Ubuntu do-release-upgrade lost my ethernet bond config so had to visit the data center to fix, (don't know why)

    and the Zimbra 7.1 install failed at the Verify Message Store step with a "undefined symbol: Perl_Tstack_sp_ptr" perl error. Choosing not to verify allowed the install to complete. Couldn't find anyone else having this exact issue, so not sure why.

  5. #5
    Join Date
    Sep 2008
    Posts
    134
    Rep Power
    7

    Default

    hi bertie_uk,

    the bond problem i think i read in the release notes from 8.04 or 10.04, thought in 8.04.

    but i had not such a problem.

    the checkerror i had not.

    but your 7.1.0 is running now? btw. 7.1.1 is out now.

    best regards
    thomas
    zmcontrol -v
    1x Release 6.0.10_GA_2692.UBUNTU8_64 NETWORK edition.
    1x Release 6.0.14_GA_2928.UBUNTU8_64 NETWORK edition
    2x Release 7.1.3_GA_3346.UBUNTU10_64 NETWORK edition, Patch 7.1.3_P1
    1x Release 8.0.2.GA.5569.UBUNTU12.64 NETWORK edition

    2x Release 6.0.10_GA_2692.UBUNTU8_64 FOSS edition
    2x Release 7.2.2_GA_2852.UBUNTU10_64 FOSS edition
    1x Release 7.1.4_GA_2555.UBUNTU10_64 FOSS
    1x Release 8.0.3.GA.5664.UBUNTU12.64 FOSS edition

  6. #6
    Join Date
    Dec 2009
    Location
    Netherlands
    Posts
    47
    Rep Power
    6

    Default

    I still should upgrade my Ubuntu (and Zimbra 7.1.1). But seeing this here gives me confidence, provided I don't get the Perl error

  7. #7
    Join Date
    Apr 2010
    Posts
    1
    Rep Power
    5

    Default

    Hi bertie_uk,

    Did you get zimbra working?

    I did upgrade an Ubuntu 8.04 x64 with a working Zimbra 7.1.3_P1.

    Now I get the same error e.g wenn I try to run zmcontrol

    Is there a solution?

    Regards
    AnAmigian

  8. #8
    Join Date
    Dec 2008
    Location
    vienna/austria
    Posts
    59
    Rep Power
    7

    Default I successfully did it a while ago

    As far as I recall I did the following to upgrade ubuntu:

    1) upgrade zimbra to newest version 8.04
    2) stop zimbra and make a full backup (tar czvf backupfile /opt/zimbra or something like that)
    3) upgrade ubuntu to 10.04
    4) download newest zimbra 10.04 and install it

    I would not skip the verify-message-store but trace down the perl-error. perl-stack-something-error sounds bad to me. Probably some perl-modules missing or out of date.

    Perlmodules installed with cpan might turn problematic when upgrading ubuntu. So just look at the zimbra-prerequistes for perl-modules and reinstall/update these modules after ubuntu-upgrade. The commandline-tool to handle perl-modules is called cpan.


    hope this helps,
    Release 7.1.3_GA_3346.UBUNTU10_64 UBUNTU10_64 FOSS edition

  9. #9
    Join Date
    Dec 2009
    Location
    Netherlands
    Posts
    47
    Rep Power
    6

    Default

    1) upgrade zimbra to newest version 8.04
    You mean Ubuntu? That seems like an Ubuntu version number, plus Zimbra is at 7.1.3 right now.

    4) download newest zimbra 10.04 and install it
    You had already upgraded Zimbra at this stage, right?

  10. #10
    Join Date
    Dec 2008
    Location
    vienna/austria
    Posts
    59
    Rep Power
    7

    Default

    Sorry. Should have make myself more clear. A Zimbra-build always exists in two versions: one for ubuntu 10.04 and one for ubuntu 8.04

    so "newest zimbra 8.04" refers to the newest zimbra build for ubuntu 8.04, while "zimbra 10.04" refers to zimbra build for ubuntu 10.04.

    So I should have posted my list like this:

    1) upgrade zimbra to newest version for ubuntu 8.04
    2) stop zimbra and make a full backup (tar czvf backupfile /opt/zimbra or something like that)
    3) upgrade ubuntu to 10.04
    4) download newest zimbra for ubuntu 10.04 and install it

    peter
    Release 7.1.3_GA_3346.UBUNTU10_64 UBUNTU10_64 FOSS edition

Similar Threads

  1. Issues after upgrading from 6.0.10 to 7
    By rhorist in forum Administrators
    Replies: 8
    Last Post: 02-25-2011, 08:38 AM
  2. admin consol blank after 5.0.3 upgarde
    By maumar in forum Administrators
    Replies: 6
    Last Post: 03-21-2008, 06:16 AM
  3. [SOLVED] Error Installing Zimbra on RHEL 5
    By harris7139 in forum Installation
    Replies: 10
    Last Post: 09-25-2007, 12:39 PM
  4. 4.5 Upgrade failure
    By brained in forum Installation
    Replies: 9
    Last Post: 03-03-2007, 03:30 PM
  5. huge log size
    By rmvg in forum Administrators
    Replies: 5
    Last Post: 01-02-2007, 10:39 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •